Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mozilla.jss.asn1
Class TeletexString

    java.lang.Object
      |
      +--org.mozilla.jss.asn1.CharacterString
            |
            +--org.mozilla.jss.asn1.TeletexString

All Implemented Interfaces:
  ASN1Value

public class TeletexString
extends CharacterString
implements ASN1Value

The ASN.1 type TeletexString.

Inner Class Summary
`private static class` | `TeletexString.TeletexConverter`
`static class` | `TeletexString.Template`

Inner classes inherited from class org.mozilla.jss.asn1.CharacterString
`CharacterString.Template`

Field Summary
`static Tag` | `TAG`
`private static TeletexString.Template` | `templateInstance`

Fields inherited from class org.mozilla.jss.asn1.CharacterString
`cachedContents, chars, FORM`

Constructor Summary
`TeletexString(char[] chars)`
`TeletexString(java.lang.String s)`

Method Summary
`(package private) CharConverter` | `getCharConverter()`
`Tag` | `getTag()` Returns the base tag for this type, not counting any tags that may be imposed on it by its context.
`static TeletexString.Template` | `getTemplate()` Returns a singleton instance of the decoding template for this class.

Methods inherited from class org.mozilla.jss.asn1.CharacterString
`computeContents, encode, encode, getEncodedContents, toCharArray, toString`

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, wait, wait, wait`

Methods inherited from interface org.mozilla.jss.asn1.ASN1Value
`encode, encode`

Field Detail

### TAG

    public static final Tag TAG

### templateInstance

    private static final TeletexString.Template templateInstance

Constructor Detail

### TeletexString

    public TeletexString(char[] chars)
                  throws java.io.CharConversionException

### TeletexString

    public TeletexString(java.lang.String s)
                  throws java.io.CharConversionException

Method Detail

### getTag

    public Tag getTag()

  Description copied from interface: `ASN1Value`
  Returns the base tag for this type, not counting any tags that may be imposed on it by its context.
  Specified by:
    `getTag` in interface `ASN1Value`
  Overrides:
    `getTag` in class `CharacterString`

### getCharConverter

    CharConverter getCharConverter()

  Overrides:
    `getCharConverter` in class `CharacterString`

### getTemplate

    public static TeletexString.Template getTemplate()

  Returns a singleton instance of the decoding template for this class.

Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD